%global momorel 1
%define __libtoolize :

Summary: A GNOME interface for various networking tools
Name: gnome-nettool

Version: 2.26.2
Release: %{momorel}m%{?dist}
URL: http://www.gnome.org/
License: GPL
Group: User Interface/Desktops

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: libglade2-devel >= 2.6.4
BuildRequires: GConf2-devel >= 2.26.0
BuildRequires: gnome-doc-utils >= 0.16.0
BuildRequires: rarian

%description
GNOME Nettool is a set of front-ends to various networking command-line
tools, like ping, netstat, ifconfig, whois, traceroute, finger.

%prep
%setup -q

%build
%configure --disable-scrollkeeper --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
rarian-sk-update
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi

%postun
rarian-sk-update

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/gnome-nettool
%{_datadir}/applications/*.desktop
%{_datadir}/locale/*/*/*.mo
%{_datadir}/icons/hicolor/*/apps/gnome-nettool.*
%{_datadir}/gnome/help/gnome-nettool
%{_datadir}/omf/gnome-nettool

%changelog
* Sat May 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Fri Apr  3 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.3-1m)
- update to 2.25.3

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.22.1-2m)
- rebuild against rpm-4.6

* Fri Oct  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.4-1m)
- update to 2.17.4 (unstable)

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-2m)
- remove-category X-Momonga-Base Application

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- update to 2.16.0

* Thu May 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Thu Apr 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- update 2.14.1

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0)
- update to 2.14.0

* Mon Nov 21 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-1m)
- version up
- GNOME 2.12.1 Desktop

* Thu Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.0-1m)
- import from Fedora
- version 1.0.0

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 0.99.3-2
- Move to the System Tools menu from the Internet menu - bug #131619

* Tue Aug 31 2004 Mark McLoughlin <markmc@redhat.com> 0.99.3-1
- Update to 0.99.3

* Fri Aug 27 2004 Mark McLoughlin <markmc@redhat.com> 0.99.2-1
- Initial build
